from UI.CustomWidgets import *


class Widget():
    def setupUI(self):
        lytControls = QVBoxLayout()
        lytControls.addWidget(self.createGroupControlsBearbeiten())

        lytMain = QHBoxLayout()
        lytMain.addLayout(lytControls)
        self.setLayout(lytMain)

    def createGroupControlsBearbeiten(self):
        self.lblDecreasePartLengthText = QLabelCentered()
        self.lblOffsetPartLengthText = QLabelCentered()
        self.lblIncreasePartLengthText = QLabelCentered()
        self.btnOffsetHeightMinusMinus = QPushButtonExpanding('-0.10')
        self.btnOffsetHeightMinus = QPushButtonExpanding('-0.01')
        self.lblOffsetHeight = QLabelSunkenCentered()
        self.btnOffsetHeightPlus = QPushButtonExpanding('+0.01')
        self.btnOffsetHeightPlusPlus = QPushButtonExpanding('+0.10')
        self.lblDecreaseChamferText = QLabelCentered()
        self.lblOffsetChamferText = QLabelCentered()
        self.lblIncreaseChamferText = QLabelCentered()
        self.btnOffsetChamferMinusMinus = QPushButtonExpanding('-0.10')
        self.btnOffsetChamferMinus = QPushButtonExpanding('-0.01')
        self.lblOffsetChamfer = QLabelSunkenCentered()
        self.btnOffsetChamferPlus = QPushButtonExpanding('+0.01')
        self.btnOffsetChamferPlusPlus = QPushButtonExpanding('+0.10')
        self.btnReferenceDrive = QPushButtonExpanding()
        self.btnSingleRun = QPushButtonExpanding()
        self.btnKillSwitch = QPushButtonExpanding()
        self.btnAutomatik = QPushButtonExpanding()

        lytControls = QGridLayout()
        lytControls.addWidget(self.lblDecreasePartLengthText, 1, 1, 1, 2)
        lytControls.addWidget(self.lblOffsetPartLengthText, 1, 3)
        lytControls.addWidget(self.lblIncreasePartLengthText, 1, 4, 1, 2)
        lytControls.addWidget(self.btnOffsetHeightMinusMinus, 2, 1)
        lytControls.addWidget(self.btnOffsetHeightMinus, 2, 2)
        lytControls.addWidget(self.lblOffsetHeight, 2, 3)
        lytControls.addWidget(self.btnOffsetHeightPlus, 2, 4)
        lytControls.addWidget(self.btnOffsetHeightPlusPlus, 2, 5)
        lytControls.addWidget(self.lblDecreaseChamferText, 3, 1, 1, 2)
        lytControls.addWidget(self.lblOffsetChamferText, 3, 3)
        lytControls.addWidget(self.lblIncreaseChamferText, 3, 4, 1, 2)
        lytControls.addWidget(self.btnOffsetChamferMinusMinus, 4, 1)
        lytControls.addWidget(self.btnOffsetChamferMinus, 4, 2)
        lytControls.addWidget(self.lblOffsetChamfer, 4, 3)
        lytControls.addWidget(self.btnOffsetChamferPlus, 4, 4)
        lytControls.addWidget(self.btnOffsetChamferPlusPlus, 4, 5)
        lytControls.addWidget(self.btnSingleRun, 5, 1)
        lytControls.addWidget(self.btnReferenceDrive, 5, 2)
        lytControls.addWidget(self.btnKillSwitch, 5, 3)
        lytControls.addWidget(self.btnAutomatik, 5, 4, 1, 2)
        lytControls.setRowStretch(2,1)
        lytControls.setRowStretch(4,1)
        lytControls.setRowStretch(5,2)

        self.grpControls = QGroupBox()
        self.grpControls.setLayout(lytControls)
        return self.grpControls
